| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTC_round
GTC Extensions (Stable)

rounding value to specific boundings More...

## Functions
template<typename genType >
GLM_FUNC_DECL genType | ceilMultiple (genType Source, genType Multiple)
| Higher multiple number of Source. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | ceilMultiple (vecType< T, P > const &Source, vecType< T, P > const &Multiple)
| Higher multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | ceilPowerOfTwo (genIUType Value)
| Return the power of two number which value is just higher the input value, round up to a power of two. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | ceilPowerOfTwo (vecType< T, P > const &value)
| Return the power of two number which value is just higher the input value, round up to a power of two. More...
template<typename genType >
GLM_FUNC_DECL genType | floorMultiple (genType Source, genType Multiple)
| Lower multiple number of Source. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | floorMultiple (vecType< T, P > const &Source, vecType< T, P > const &Multiple)
| Lower multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | floorPowerOfTwo (genIUType Value)
| Return the power of two number which value is just lower the input value, round down to a power of two. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | floorPowerOfTwo (vecType< T, P > const &value)
| Return the power of two number which value is just lower the input value, round down to a power of two. More...
template<typename genIUType >
GLM_FUNC_DECL bool | isMultiple (genIUType Value, genIUType Multiple)
| Return true if the 'Value' is a multiple of 'Multiple'. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isMultiple (vecType< T, P > const &Value, T Multiple)
| Return true if the 'Value' is a multiple of 'Multiple'. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isMultiple (vecType< T, P > const &Value, vecType< T, P > const &Multiple)
| Return true if the 'Value' is a multiple of 'Multiple'. More...
template<typename genIUType >
GLM_FUNC_DECL bool | isPowerOfTwo (genIUType Value)
| Return true if the value is a power of two number. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isPowerOfTwo (vecType< T, P > const &value)
| Return true if the value is a power of two number. More...
template<typename genType >
GLM_FUNC_DECL genType | roundMultiple (genType Source, genType Multiple)
| Lower multiple number of Source. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | roundMultiple (vecType< T, P > const &Source, vecType< T, P > const &Multiple)
| Lower multiple number of Source. More...
template<typename genIUType >
GLM_FUNC_DECL genIUType | roundPowerOfTwo (genIUType Value)
| Return the power of two number which value is the closet to the input value. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | roundPowerOfTwo (vecType< T, P > const &value)
| Return the power of two number which value is the closet to the input value. More...

## Detailed Description

rounding value to specific boundings

<glm/gtc/round.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType glm::ceilMultiple | ( | genType | Source,
|  | genType | Multiple
| ) |  |

Higher multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<T, P> glm::ceilMultiple | ( | vecType< T, P > const & | Source,
|  | vecType< T, P > const & | Multiple
| ) |  |

Higher multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL genIUType glm::ceilPowerOfTwo | ( | genIUType | Value | ) |

Return the power of two number which value is just higher the input value, round up to a power of two.

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<T, P> glm::ceilPowerOfTwo | ( | vecType< T, P > const & | value | ) |

Return the power of two number which value is just higher the input value, round up to a power of two.

See also
  GLM_GTC_round

GLM_FUNC_DECL genType glm::floorMultiple | ( | genType | Source,
|  | genType | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<T, P> glm::floorMultiple | ( | vecType< T, P > const & | Source,
|  | vecType< T, P > const & | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL genIUType glm::floorPowerOfTwo | ( | genIUType | Value | ) |

Return the power of two number which value is just lower the input value, round down to a power of two.

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<T, P> glm::floorPowerOfTwo | ( | vecType< T, P > const & | value | ) |

Return the power of two number which value is just lower the input value, round down to a power of two.

See also
  GLM_GTC_round

GLM_FUNC_DECL bool glm::isMultiple | ( | genIUType | Value,
|  | genIUType | Multiple
| ) |  |

Return true if the 'Value' is a multiple of 'Multiple'.

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<bool, P> glm::isMultiple | ( | vecType< T, P > const & | Value,
|  | T | Multiple
| ) |  |

Return true if the 'Value' is a multiple of 'Multiple'.

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<bool, P> glm::isMultiple | ( | vecType< T, P > const & | Value,
|  | vecType< T, P > const & | Multiple
| ) |  |

Return true if the 'Value' is a multiple of 'Multiple'.

See also
  GLM_GTC_round

GLM_FUNC_DECL bool glm::isPowerOfTwo | ( | genIUType | Value | ) |

Return true if the value is a power of two number.

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<bool, P> glm::isPowerOfTwo | ( | vecType< T, P > const & | value | ) |

Return true if the value is a power of two number.

See also
  GLM_GTC_round

GLM_FUNC_DECL genType glm::roundMultiple | ( | genType | Source,
|  | genType | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<T, P> glm::roundMultiple | ( | vecType< T, P > const & | Source,
|  | vecType< T, P > const & | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTC_round

GLM_FUNC_DECL genIUType glm::roundPowerOfTwo | ( | genIUType | Value | ) |

Return the power of two number which value is the closet to the input value.

See also
  GLM_GTC_round

GLM_FUNC_DECL vecType<T, P> glm::roundPowerOfTwo | ( | vecType< T, P > const & | value | ) |

Return the power of two number which value is the closet to the input value.

See also
  GLM_GTC_round